# HUMANMGC

[TEST_DATUM]
43492

[LINKAGE_FROM]

# This Taxonomy does not work
#LINK_TAXONOMY  SELECT id AS FIELD_ACCESSION FROM MGC__DATA__LINKAGES$TAXONOMY WHERE FKDest__value=@FIELD_ID@ AND FKDest__value=9606 ORDER BY FIELD_ACCESSION ASC

LINK_GENBANK   SELECT MGC__DATA__LINKAGES$GENBANK.FKSrc__value AS FIELD_ACCESSION FROM MGC__DATA__LINKAGES$GENBANK, MGC__DATA, MGC__DATA__LINKAGES$TAXONOMY WHERE MGC__DATA__LINKAGES$TAXONOMY.FKSrc__value=id AND MGC__DATA__LINKAGES$GENBANK.FKSrc__value=id AND MGC__DATA__LINKAGES$TAXONOMY.FKDest__value=9606 AND MGC__DATA__LINKAGES$GENBANK.FKDest__value=@FIELD_ACCESSION@ ORDER BY FIELD_ACCESSION ASC

LINK_LOCUSLINK SELECT MGC__DATA__LINKAGES$TAXONOMY.FKSrc__value AS FIELD_ACCESSION FROM MGC__DATA__LINKAGES$LOCUSLINK, MGC__DATA__LINKAGES$TAXONOMY WHERE MGC__DATA__LINKAGES$TAXONOMY.FKSrc__value=MGC__DATA__LINKAGES$LOCUSLINK.FKSrc__value AND MGC__DATA__LINKAGES$TAXONOMY.FKDest__value=9606 AND MGC__DATA__LINKAGES$LOCUSLINK.FKDest__value="@FIELD_ACCESSION@" ORDER BY FIELD_ACCESSION ASC

LINK_PFAM      SELECT MGC__DATA__LINKAGES$TAXONOMY.FKSrc__value AS FIELD_ACCESSION, MGC__HOMOLOGY$PFAM.Src_X1 AS FIELD_SRC_X, MGC__HOMOLOGY$PFAM.Src_X2 AS FIELD_SRC_Y, MGC__HOMOLOGY$PFAM.Dest_X1 AS FIELD_DEST_X, MGC__HOMOLOGY$PFAM.Dest_X2 AS FIELD_DEST_Y, MGC__HOMOLOGY$PFAM.score AS FIELD_SCORE FROM MGC__HOMOLOGY$PFAM, MGC__DATA__LINKAGES$TAXONOMY WHERE CONCAT('BC',LPAD(MGC__DATA__LINKAGES$TAXONOMY.FKSrc__value,6,'0'))=MGC__HOMOLOGY$PFAM.FKSrc__value AND MGC__DATA__LINKAGES$TAXONOMY.FKDest__value=9606 AND MGC__HOMOLOGY$PFAM.FKDest__value="@FIELD_ACCESSION@" ORDER BY FIELD_ACCESSION ASC

[KEYWORD]
FIELD_ACCESSION  SELECT DISTINCT FKSrc__value AS FIELD_ACCESSION FROM MGC__DATA__LINKAGES$TAXONOMY WHERE %FKSrc__value% LIKE '@keyword@' AND FKDest__value=9606 ORDER BY FIELD_ACCESSION ASC
FIELD_ANNOTATION SELECT DISTINCT FKSrc__value AS FIELD_ACCESSION FROM MGC__DATA, MGC__DATA__LINKAGES$TAXONOMY WHERE FKSrc__value=id AND %product% LIKE '@keyword@' AND FKDest__value=9606 ORDER BY FIELD_ACCESSION ASC
FIELD_SEQUENCE   SELECT DISTINCT AK_MGC__DATA__id AS FIELD_ACCESSION FROM MGC__DATA__$NUCLEOTIDES, MGC__DATA__LINKAGES$TAXONOMY WHERE FKSrc__value=AK_MGC__DATA__id AND FKDest__value=9606 AND %SEQUENCE_N% LIKE '@keyword@' ORDER BY FIELD_ACCESSION ASC
FIELD_TISSUE     SELECT DISTINCT MGC__DATA.id AS FIELD_ACCESSION FROM MGC__DATA, MGC__DATA__$TISSUES, MGC__$TISSUE, MGC__DATA__LINKAGES$TAXONOMY WHERE MGC__DATA__LINKAGES$TAXONOMY.FKSrc__value=MGC__DATA.id AND AK_MGC__$TISSUE__id=MGC__$TISSUE.id AND MGC__DATA.id=AK_MGC__DATA__id AND MGC__DATA__LINKAGES$TAXONOMY.FKDest__value=9606 AND %name% LIKE '@keyword@' ORDER BY FIELD_ACCESSION ASC
FIELD_VECTOR     SELECT DISTINCT MGC__DATA.id AS FIELD_ACCESSION FROM MGC__DATA, MGC__DATA__$VECTOR, MGC__$VECTOR, MGC__DATA__LINKAGES$TAXONOMY WHERE MGC__DATA__LINKAGES$TAXONOMY.FKSrc__value=MGC__DATA.id AND AK_MGC__$VECTOR__id=MGC__$VECTOR.id AND MGC__DATA.id=AK_MGC__DATA__id AND FKDest__value=9606 AND %name% LIKE '@keyword@' ORDER BY FIELD_ACCESSION ASC
FIELD_IMAGE      SELECT DISTINCT MGC__DATA.id AS FIELD_ACCESSION FROM MGC__DATA, MGC__DATA__$IMAGE, MGC__DATA__LINKAGES$TAXONOMY WHERE MGC__DATA__LINKAGES$TAXONOMY.FKSrc__value=MGC__DATA.id AND AK_MGC__DATA__id=MGC__DATA.id AND FKDest__value=9606 AND %image% LIKE '@keyword@' ORDER BY FIELD_ACCESSION ASC
